Bug 273141 - Unskip html/semantics/popover-light-dismiss WPT
Summary: Unskip html/semantics/popover-light-dismiss WPT
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: Safari 17
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Luke Warlow
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2024-04-23 12:52 PDT by Luke Warlow
Modified: 2024-05-03 09:03 PDT (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Luke Warlow 2024-04-23 12:52:02 PDT
This test covers a vital aspect of the popover API, it's currently being skipped on some platforms due to 1 subtest making use of a .scroll() function on test driver. Instead of skipping all of them this subtest should be moved into a separate test file, and that should be skipped instead.
Comment 1 Luke Warlow 2024-04-23 13:05:04 PDT
Pull request: https://github.com/WebKit/WebKit/pull/27646
Comment 2 Radar WebKit Bug Importer 2024-04-30 12:52:18 PDT
<rdar://problem/127313402>
Comment 3 EWS 2024-05-03 09:03:11 PDT
Committed 278325@main (2da25afcddf7): <https://commits.webkit.org/278325@main>

Reviewed commits have been landed. Closing PR #27646 and removing active labels.